Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
CompactConfig..::.Timeout Property
CompactConfig Class See Also Send Feedback

If non-zero, and no Transaction is specified, this parameter identifies the lock timeout used for implicit transactions, in microseconds.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public uint Timeout { get; set; }

Visual Basic (Declaration)
    Public Property Timeout As UInteger

Visual C++
    public:
    property unsigned int Timeout {
    	unsigned int get ();
    	void set (unsigned int value);
    }

# See Also

CompactConfig Class
BerkeleyDB Namespace